Skip to main content
GET
TV

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

air_date.gte
string

Selects results with an air date greater than or equal to the specified date.

Example:

""

air_date.lte
string

Selects results with an air date less than or equal to the specified date.

Example:

""

first_air_date_year
integer

Filters results based on the year of the first air date. Must be a valid four-digit year (e.g., 2020).

Example:

""

first_air_date.gte
string

Selects results with a first air date greater than or equal to the specified date.

Example:

""

first_air-date.lte
string

Selects results with a first air date less than or equal to the specified date.

Example:

""

include_adult
enum<string>

This indicate whether the movie is an adult content.

Available options:
true,
false
Example:

false

include_null_first_air_dates
enum<string>

Defaults to false. If set to true, includes results that do not have a first air date.

Available options:
true,
false
Example:

false

language
string

Specifies the language in which the response should be returned.

Example:

"en-US"

page
integer

Indicates which page of results to return. Default is the first page (1).

Example:

1

screened_theatrically
enum<string>

Filters results to include only those that have been screened in theatres.

Available options:
true,
false
Example:

false

sorts_by
enum<string>

Defines the order in which results are sorted.

Available options:
orignal_title_asc,
original_title_desc,
popularity_asc,
popularity_desc,
revenue_asc,
revenue_desc,
prirmary_release_date.asc,
title_asc,
title_desc,
primary_release_date.desc,
vote_average.asc,
vote_average_desc,
vote_count.asc,
vote_count.desc
Example:

"popularity_desc"

timezone
string

Specifies the timezone for date-related queries.

Example:

""

vote_average.gte
number

Filters results to include those with an average vote greater than or equal to the specified value.

Example:

""

vote_average.lte
number

Filters results to include those with an average vote less than or equal to the specified value.

Example:

""

vote_count.gte
number

Filters results to include those with a vote count greater than or equal to the specified number.

Example:

""

vote_count.lte
number

Filters results to include those with a vote count less than or equal to the specified number.

Example:

""

watch_region
string

Specifies a region code for filtering results based on available watch providers or monetization types.

Example:

""

with_companies
string

Filters results to include films produced by specific companies. Can also be a comma (for AND) or pipe (for OR) separated query.

Example:

""

with_genres
string

string Filters results by specified genres (e.g., action, comedy). Can be a comma (for AND) or pipe (for OR) separated query.

Example:

""

with_keyword
string

Filters results to include films associated with specific keywords. Can be a comma (for AND) or pipe (for OR) separated query.

Example:

""

with_networks
string

Filters results to include those on specified networks (e.g., NBC, HBO).

Example:

""

with_origin_country
string

Filters results based on the country of origin of the film.

Example:

""

with_original_language
string

Filters results to include films in a specified original language.

Example:

""

with-runtime.gte
integer

Filters results to include films with a runtime greater than or equal to the specified number of minutes.

Example:

""

with_runtime.lte
integer

Filters results to include films with a runtime less than or equal to the specified number of minutes.

Example:

""

with_status
string

Possible values are [0, 1, 2, 3, 4, 5]. Can be a comma (AND) or pipe (OR) separated query to filter results based on content status (e.g., air/ended).

Example:

""

with_watch_monetization
string

Filters results based on financial aspects of watching, including types like "flatrate," "free," "ads," "rent," or "buy."

Example:

""

with_watch_providers
string

Specifies which watch providers to filter by, such as Netflix or Hulu. Can be a comma (for AND) or pipe (for OR) separated query.

Example:

""

without_companies
string

results to exclude specified genres from the results.

Example:

""

without_keywords
string

Filters results to exclude specified keywords associated with the films.

Example:

""

without_watch_providers
string

Filters results to exclude films available on specified watch providers.

Example:

""

with_type
string

Possible values are [0, 1, 2, 3, 4, 5, 6]. Can be a comma (AND) or pipe (OR) separated query to filter results by type (e.g., movie, series).

Example:

""

Response

200 - application/json

tv

page
number

The current page number of the results returned by the API.

Example:

1

results
object[]

An array containing objects, where each object represents a TV show with specific details.

Example:
total_pages
number

The total number of pages available for the results, indicating how many pages of shows can be retrieved from the API.

Example:

9439

total_results
number

The total number of results (TV shows) found that match the search criteria specified in the API request.

Example:

188772